Package org.opensaml.xmlsec.config

# Class DecryptionParserPoolInitializer

java.lang.Object
org.opensaml.xmlsec.config.DecryptionParserPoolInitializer

All Implemented Interfaces:
  `Initializer`

public class DecryptionParserPoolInitializer extends Object implements Initializer
An initializer for the global parser pool for XML decryption use, wrapped by `DecryptionParserPool`. *

The ParserPool configured by default here is an instance of `BasicParserPool`, with the following non-default property values:

- maxPoolSize = 50
- builder feature http://apache.org/xml/features/dom/defer-node-expansion = False
- builder attribute jdk.xml.elementAttributeLimit = 30
- builder attribute jdk.xml.maxElementDepth = 25

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIG_PROP_PREFIX_XML`
Config property prefix for XML processing.
`static final String`
`CONFIG_PROPERTY_XML_ELEMENT_ATTRIBUTE_LIMIT`
Config property name: XML element attribute limit.
`static final String`
`CONFIG_PROPERTY_XML_MAX_ELEMENT_DEPTH`
Config property name: XML max element depth.
`static final String`
`ELEMENT_ATTRIBUTE_LIMIT_DEFAULT`
Config property default: XML element attribute limit: 30.
`static final String`
`MAX_ELEMENT_DEPTH_DEFAULT`
Config property default: XML max element depth: 25.

## Constructor Summary

Constructors
Constructor
Description
`DecryptionParserPoolInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONFIG_PROP_PREFIX_XML

public static final String CONFIG_PROP_PREFIX_XML
Config property prefix for XML processing.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_XML_ELEMENT_ATTRIBUTE_LIMIT

public static final String CONFIG_PROPERTY_XML_ELEMENT_ATTRIBUTE_LIMIT
Config property name: XML element attribute limit.

See Also:
  - Constant Field Values

### ELEMENT_ATTRIBUTE_LIMIT_DEFAULT

public static final String ELEMENT_ATTRIBUTE_LIMIT_DEFAULT
Config property default: XML element attribute limit: 30.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_XML_MAX_ELEMENT_DEPTH

public static final String CONFIG_PROPERTY_XML_MAX_ELEMENT_DEPTH
Config property name: XML max element depth.

See Also:
  - Constant Field Values

### MAX_ELEMENT_DEPTH_DEFAULT

public static final String MAX_ELEMENT_DEPTH_DEFAULT
Config property default: XML max element depth: 25.

See Also:
  - Constant Field Values

## Constructor Details

### DecryptionParserPoolInitializer

public DecryptionParserPoolInitializer()

## Method Details

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully